Subject: Re: g++ global constructor bug?
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Sat, 6 Jul 2002 12:44:30 +0900
Newsgroups: gmane.os.cygwin

I've noticed this too.

Using cygwin, the stdio and cout handles are set up a while after the user's
global constructors.  Is this behaviour changeable or is the order of global
construction totally random?

Accessing std::cout from some constructors will cause a segfault rather than
simply not working too.

Regards
--
---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

"Christopher Faylor" <[email-masked]> wrote in message
news:[email-masked]...
> On Fri, Jul 05, 2002 at 04:09:15PM -0400, Douglas S. J. De Couto wrote:
> >the following program doesn't work right with cygwin, it seems the
> >global object sh constructor is not being called.
>
> If I had to guess I'd say that the constructor is kicked off before
> stdio is completely set up.
>
> cgf
>
> >--------------------
> >
> >#include <stdio.h>
> >
> >struct foobar {
> >  foobar(int i) { printf ("foobar(%d)\n", i); }
> >};
> >
> >foobar sh(1);
> >
> >int
> >main(int argc, char **argv) {
> >  foobar s(2);
> >}
> --
> Please do not send me personal email with cygwin questions.
> Use the resources at http://cygwin.com/ .
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/